Native-Base not working with Web?

Please provide the following:

  1. SDK Version: 4.12.7
  2. Platforms(Android/iOS/web/all): Web
  3. Add the appropriate “Tag” based on what Expo library you have a question on.

I am trying to use native-base with my React Native expo project. It works totally fine on mobile, but it won’t compile with web.

I get this error:

Failed to compile
./node_modules/@react-native-aria/overlays/lib/module/web/overlays/src/calculatePosition.js:
Module not found: Can't resolve 'dom-helpers/query/offset'  
| import {Axis, Placement, PlacementAxis, SizeAxis} from '@react-types/overlays'; 
| import getCss from 'dom-helpers/style';>
| import getOffset from 'dom-helpers/query/offset';
| import getPosition from 'dom-helpers/query/position';
| import getScrollLeft from 'dom-helpers/query/scrollLeft';
| import getScrollTop from 'dom-helpers/query/scrollTop';

Maybe this is a native-base problem? I’m not sure, but I haven’t seen this error elsewhere, and I don’t really know where to start. Any input appreciated!

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.